<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.salary.mapper.MSalaryPaymentResMapper">

  <resultMap id="mSalaryPaymentResMap" type="com.yifu.cloud.plus.v1.yifu.salary.entity.MSalaryPaymentRes">
    <id property="id" column="id"/>
    <result property="deptId" column="dept_id"/>
    <result property="salarySocialFlag" column="SALARY_SOCIAL_FLAG"/>
    <result property="salaryFundFlag" column="SALARY_FUND_FLAG"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.id,
                a.dept_id,
                a.SALARY_SOCIAL_FLAG,
                a.SALARY_FUND_FLAG
    </sql>
    <sql id="mSalaryPaymentRes_where">
        <if test="mSalaryPaymentRes != null">
                    <if test="mSalaryPaymentRes.id != null and mSalaryPaymentRes.id.trim() != ''">
                        AND a.id = #{mSalaryPaymentRes.id}
                    </if>
                    <if test="mSalaryPaymentRes.deptId != null and mSalaryPaymentRes.deptId.trim() != ''">
                        AND a.dept_id = #{mSalaryPaymentRes.deptId}
                    </if>
                    <if test="mSalaryPaymentRes.salarySocialFlag != null and mSalaryPaymentRes.salarySocialFlag.trim() != ''">
                        AND a.SALARY_SOCIAL_FLAG = #{mSalaryPaymentRes.salarySocialFlag}
                    </if>
                    <if test="mSalaryPaymentRes.salaryFundFlag != null and mSalaryPaymentRes.salaryFundFlag.trim() != ''">
                        AND a.SALARY_FUND_FLAG = #{mSalaryPaymentRes.salaryFundFlag}
                    </if>
        </if>
    </sql>
    <!--mSalaryPaymentRes简单分页查询-->
    <select id="getMSalaryPaymentResPage" resultMap="mSalaryPaymentResMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM m_salary_payment_res a
        <where>
            1=1
            <include refid="mSalaryPaymentRes_where"/>
        </where>
    </select>
</mapper>
